Subject: Re: bug#34110: feature request: dual-column du output, showing "real" and "on-disk" sizes (and about that "apparent-size" concept)

From: Paul Eggert <[email-masked]>
Date: Wed, 16 Jan 2019 16:28:14 -0800

I like the idea of two columns at once.

> with "--apparent-size", du returns the actual file size; without, it returns how large the file appears to be (judging from its disk footprint).

The "apparent" size is the size that "ls -l" outputs, and is the size 
that traditional I/O operations like 'read' and 'write' deal with, 
regardless of the underlying implementation (where the size might be 
smaller or larger than the "apparent" size). In contrast the "disk 
usage" size is whatever the filesystem tells us it is. I wouldn't call 
either size the "actual" size these days, as even the disk usage (or 
"disk footprint") might be virtual blocks stored in a lower-level 
compressed device, and there's no way "du" can find out how much of the 
lower-level device is being used.